tigase.jaxmpp.core.client.xmpp.modules.presence

## Interface PresenceModule.SubscribeRequestHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    PresenceModule

      public static interface PresenceModule.SubscribeRequestHandler
      extends EventHandler

  Event fired when subscription request is received.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PresenceModule.SubscribeRequestHandler.SubscribeRequestEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSubscribeRequest(SessionObject sessionObject, Presence stanza, BareJID jid)`

- - ### Method Detail

    - #### onSubscribeRequest

          void onSubscribeRequest(SessionObject sessionObject,
                                  Presence stanza,
                                  BareJID jid)

Copyright © 2006–2020 Tigase. All rights reserved.